Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1160475 - Review Request: tikzit - Diagram editor for pgf/TikZ
Summary: Review Request: tikzit - Diagram editor for pgf/TikZ
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-11-04 22:15 UTC by Eric Smith
Modified: 2015-12-02 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 19:10:14 UTC


Attachments (Terms of Use)

Description Eric Smith 2014-11-04 22:15:47 UTC
Spec URL: https://fedorapeople.org/~brouhaha/tikzit/tikzit.spec
SRPM URL: https://fedorapeople.org/~brouhaha/tikzit/tikzit-1.0-1.fc20.src.rpm
Description: 
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: brouhaha

Comment 1 Mattia Verga 2015-07-05 09:12:16 UTC
I'm starting a formal review of this package.

Comment 2 Mattia Verga 2015-07-05 14:28:16 UTC
APPROVED

Please fix the %{_datadir}/%{name}/shapes to %{_datadir}/%{name} before importing in CVS and ask upstream to fix license stuff.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or
     later)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 6 files have unknown license.
>>> License GPLv3 is correct, however the COPYING file provided is GPLv2, looks like a mistake,
    ask upstream to fix this in their source control

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/tikzit
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/tikzit
>>> You can change %{_datadir}/%{name}/shapes to %{_datadir}/%{name}

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in tikzit
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
>>> Ask upstream to include license file

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tikzit-1.0-1.fc22.x86_64.rpm
          tikzit-1.0-1.fc22.src.rpm
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: no-manual-page-for-binary tikzit
tikzit.src: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.src: W: spelling-error %description -l en_US observables -> observable, observable s, observably
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tikzit-debuginfo-1.0-1.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: no-manual-page-for-binary tikzit
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
tikzit (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnustep-base.so.1.24()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libobjc.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
tikzit:
    application()
    application(tikzit.desktop)
    tikzit
    tikzit(x86-64)



Source checksums
----------------
http://downloads.sf.net/tikzit/tikzit-1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d
  CHECKSUM(SHA256) upstream package : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1160475
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Mattia Verga 2015-10-10 15:07:31 UTC
Eric, the package was approved, you can proceed with the SCM request if you want.

Comment 4 Mattia Verga 2015-12-02 19:10:14 UTC
No response from the submitter.

Closing.
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding


Note You need to log in before you can comment on or make changes to this bug.